//*****************************************************************************
// File Name            : int_sw1.c
//-----------------------------------------------------------------------------
// Function             :             
//                        
//-----------------------------------------------------------------------------
// Designer             : yokomizo 
//-----------------------------------------------------------------------------
// History
// -.-- 2013/07/10
//*****************************************************************************
#include <stdio.h>
#include "platform.h"
#include "xiomodule.h"
#define IOBUS_REG_OFFSET 0x0
#define LED34 (*(volatile u8 *) ( XPAR_IOMODULE_0_IO_BASEADDR + IOBUS_REG_OFFSET))
int fit_cnt ;
void print(char *str);

void FIT_ISR( void ){
    microblaze_disable_interrupts();
	fit_cnt++;
	if (0x1 & fit_cnt)
	  LED34 = 0x1;
	else
      LED34 = 0x2;
    microblaze_enable_interrupts();
}

int main()
{
volatile int i;
u32 uDevId = XPAR_IOMODULE_0_DEVICE_ID;
u32 uGpioCha = 1;
u8  uIntrId_fit =  XIN_IOMODULE_FIT_1_INTERRUPT_INTR ;
XIOModule mcsIOMdule;
init_platform();
XIOModule_Initialize(&mcsIOMdule, uDevId);
microblaze_register_handler(XIOModule_DeviceInterruptHandler, uDevId);
XIOModule_Start(&mcsIOMdule);
XIOModule_Connect(&mcsIOMdule, uIntrId_fit, FIT_ISR, uDevId);
XIOModule_Enable(&mcsIOMdule, uIntrId_fit);
microblaze_enable_interrupts();
    while(1){
        XIOModule_DiscreteWrite(&mcsIOMdule,uGpioCha, 0x1);
        for(i=0;i<10000000;i++);
        XIOModule_DiscreteWrite(&mcsIOMdule,uGpioCha, 0x2);
        for(i=0;i<10000000;i++);
    }
    return 0;
}


